Name: mpg123
Version: 1.18.1
Release: 1
Summary: MPEG audio player
Group: Applications/Sound
Copyright: GPL
Url: http://www.mpg123.org/
Source0: %{name}-%{version}.tar.bz2
Source1: %{name}-%{version}.tar.bz2.sig
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root

BuildRequires: esound-devel >= 0.2.36, SDL-devel >= 1.2.14-3
Requires: esound >= 0.2.36, SDL >= 1.2.14-3

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix. It supports
MPEG 1.0/2.0 layers 1, 2 and 3 (those famous "mp3" files). 
It can play MPEG1.0/2.0/2.5 layer I, II, II (1, 2, 3;-) files (VBR files are
fine, too) and produce output on a number of different ways: raw data to
stdout and different sound systems depending on your platform.
Most tested are Linux on x86 and Alpha/AXP and MacOSX on ppc as the
environments the current developers work in.


%package devel
Summary: MPEG audio player library development
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: esound-devel >= 0.2.36

%description devel
The mpg123-devel package contains the header files, libraries and
documentation needed to develop applications with mpg123.


%prep
%setup -q


%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh

export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --enable-shared --enable-static \
    --disable-largefile
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files 
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/*.a
%{_libdir}/%{name}/*
%{_mandir}/man1/*
/usr/bin/*
/usr/lib/*.a


%files devel
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README TODO
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Feb 17 2014 Michael Perzl <michael@perzl.org> - 1.18.1-1
- updated to version 1.18.1

* Sat Feb 01 2014 Michael Perzl <michael@perzl.org> - 1.18.0-1
- updated to version 1.18.0

* Sun Dec 29 2013 Michael Perzl <michael@perzl.org> - 1.17.0-1
- updated to version 1.17.0

* Tue Oct 08 2013 Michael Perzl <michael@perzl.org> - 1.16.0-1
- updated to version 1.16.0

* Thu May 23 2013 Michael Perzl <michael@perzl.org> - 1.15.4-1
- updated to version 1.15.4

* Wed Apr 03 2013 Michael Perzl <michael@perzl.org> - 1.15.3-1
- updated to version 1.15.3

* Mon Feb 25 2013 Michael Perzl <michael@perzl.org> - 1.15.1-1
- updated to version 1.15.1

* Fri Jul 27 2012 Michael Perzl <michael@perzl.org> - 1.14.4-1
- updated to version 1.14.4

* Sat May 12 2012 Michael Perzl <michael@perzl.org> - 1.14.2-1
- updated to version 1.14.2

* Tue May 08 2012 Michael Perzl <michael@perzl.org> - 1.14.1-1
- updated to version 1.14.1

* Tue May 01 2012 Michael Perzl <michael@perzl.org> - 1.14.0-1
- updated to version 1.14.0

* Thu Apr 12 2012 Michael Perzl <michael@perzl.org> - 1.13.8-1
- updated to version 1.13.8

* Mon Mar 26 2012 Michael Perzl <michael@perzl.org> - 1.13.7-1
- updated to version 1.13.7

* Mon Mar 12 2012 Michael Perzl <michael@perzl.org> - 1.13.6-1
- updated to version 1.13.6

* Wed Mar 07 2012 Michael Perzl <michael@perzl.org> - 1.13.5-1
- updated to version 1.13.5

* Thu Sep 08 2011 Michael Perzl <michael@perzl.org> - 1.13.4-1
- updated to version 1.13.4

* Fri Apr 22 2011 Michael Perzl <michael@perzl.org> - 1.13.3-1
- updated to version 1.13.3

* Mon Feb 21 2011 Michael Perzl <michael@perzl.org> - 1.13.2-1
- updated to version 1.13.2

* Fri Jan 07 2011 Michael Perzl <michael@perzl.org> - 1.13.1-1
- updated to version 1.13.1

* Mon Dec 13 2010 Michael Perzl <michael@perzl.org> - 1.13.0-1
- updated to version 1.13.0

* Thu Oct 07 2010 Michael Perzl <michael@perzl.org> - 1.12.5-1
- updated to version 1.12.5

* Thu Sep 30 2010 Michael Perzl <michael@perzl.org> - 1.12.4-1
- updated to version 1.12.4

* Mon Jul 12 2010 Michael Perzl <michael@perzl.org> - 1.12.3-1
- updated to version 1.12.3

* Mon Jun 21 2010 Michael Perzl <michael@perzl.org> - 1.12.2-1
- updated to version 1.12.2

* Thu Apr 01 2010 Michael Perzl <michael@perzl.org> - 1.12.1-1
- updated to version 1.12.1

* Mon Mar 22 2010 Michael Perzl <michael@perzl.org> - 1.11.0-1
- updated to version 1.11.0

* Mon Mar 01 2010 Michael Perzl <michael@perzl.org> - 1.10.1-1
- updated to version 1.10.1

* Mon Dec 07 2009 Michael Perzl <michael@perzl.org> - 1.10.0-1
- updated to version 1.10.0

* Mon Nov 23 2009 Michael Perzl <michael@perzl.org> - 1.9.2-1
- updated to version 1.9.2

* Fri Aug 14 2009 Michael Perzl <michael@perzl.org> - 1.9.0-1
- updated to version 1.9.0

* Thu Jun 18 2009 Michael Perzl <michael@perzl.org> - 1.8.1-1
- updated to version 1.8.1

* Mon Apr 27 2009 Michael Perzl <michael@perzl.org> - 1.7.3-1
- updated to version 1.7.3

* Mon Apr 06 2009 Michael Perzl <michael@perzl.org> - 1.7.2-1
- updated to version 1.7.2

* Fri Mar 27 2009 Michael Perzl <michael@perzl.org> - 1.7.0-1
- updated to version 1.7.0

* Fri Jan 16 2009 Michael Perzl <michael@perzl.org> - 1.6.4-1
- updated to version 1.6.4

* Mon Dec 22 2008 Michael Perzl <michael@perzl.org> - 1.6.3-1
- updated to version 1.6.3

* Mon Nov 10 2008 Michael Perzl <michael@perzl.org> - 1.6.1-1
- updated to version 1.6.1

* Wed Nov 05 2008 Michael Perzl <michael@perzl.org> - 1.6.0-1
- updated to version 1.6.0

* Tue Sep 04 2008 Michael Perzl <michael@perzl.org> - 1.5.1-1
- updated to version 1.5.1

* Mon Aug 04 2008 Michael Perzl <michael@perzl.org> - 1.5.0-1
- updated to version 1.5.0

* Sat May 24 2008 Michael Perzl <michael@perzl.org> - 1.4.3-1
- updated to version 1.4.3

* Mon Apr 21 2008 Michael Perzl <michael@perzl.org> - 1.4.2-1
- updated to version 1.4.2

* Tue Apr 08 2008 Michael Perzl <michael@perzl.org> - 1.4.1-1
- updated to version 1.4.1

* Mon Apr 07 2008 Michael Perzl <michael@perzl.org> - 1.4.0-1
- updated to version 1.4.0

* Mon Mar 12 2008 Michael Perzl <michael@perzl.org> - 1.3.1-1
- updated to version 1.3.1

* Mon Mar 03 2008 Michael Perzl <michael@perzl.org> - 1.3.0-1
- updated to version 1.3.0

* Fri Feb 22 2008 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Thu Jan 31 2008 Michael Perzl <michael@perzl.org> - 1.1.0-1
- First version for AIX5L v5.1 and higher
